
Summary: PyQt qscintilla extentions 
Name: 	 PyQt-qscintilla
Version: 3.17.1
Release: 3%{?dist}

License: GPLv2
Group: 	 Development/Languages
Url: 	 http://www.riverbankcomputing.co.uk/pyqt/ 
Source0: http://www.riverbankcomputing.com/Downloads/PyQt3/GPL/PyQt-x11-gpl-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: qt-devel
BuildRequires: qscintilla-devel
BuildRequires: sip-devel
BuildRequires: python-devel 
%global python_ver %(%{__python} -c "import sys ; print sys.version[:3]")
%global python_sitedir %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")
## python >=2.4 automatically uses python(abi)
%if "%{?python_ver}" > "1" && "%{?python_ver}" < "2.4"
## otoh, PyQt proper should already include this.
#Requires: python-abi = %{python_ver}
%endif
Requires: PyQt = %{version}

%description
%{summary}.

%package devel
Summary: Libraries and header files for %{name} development
Group:   Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: sip-devel
Requires: PyQt-devel
%description devel
%{summary}.


%prep
%setup -q -n PyQt-x11-gpl-%{version}


%build
unset QTDIR || : ; source /etc/profile.d/qt.sh

echo yes | %{__python} configure.py \
 -d %{python_sitedir} \
 -w \
 -y qt-mt

make -C qtext %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT

make -C qtext install DESTDIR=$RPM_BUILD_ROOT 


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc LICENSE
%{python_sitedir}/qtext*.so

%files devel
%defattr(-,root,root,-)
%{_datadir}/sip/qtext/


%changelog
* Sat Aug 25 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 3.17.1-3
- License: GPLv2
- respin (BuildID)

* Wed May 16 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 3.17.1-2
- fix URL: (#240322)

* Wed Apr 11 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 3.17.1-1
- PyQt-3.17.1

* Thu Nov 09 2006 Rex Dieter <rdieter[AT]fedoraproject.org> 3.17-2
- respin for qscintilla-1.7 (#214192)

* Mon Nov 06 2006 Rex Dieter <rdieter[AT]fedoraproject.org> 3.17-1
- PyQt-3.17

* Mon Nov 06 2006 Rex Dieter <rexdieter[AT]users.sf.net> 3.16-7
- -devel: Requires: PyQt-devel

* Mon Nov 06 2006 Rex Dieter <rexdieter[AT]users.sf.net> 3.16-6
- devel subpkg 

* Tue Aug 29 2006 Rex Dieter <rexdieter[AT]users.sf.net> 3.16-5
- fc6 respin

* Thu Jul 27 2006 Rex Dieter <rexdieter[AT]users.sf.net> 3.16-4
- fc6 respin

* Thu Jun 15 2006 Rex Dieter <rexdieter[AT]users.sf.net> 3.16-3
- devel/fc6 branch uses PyQt-3.16

* Thu Jun 15 2006 Rex Dieter <rexdieter[AT]users.sf.net> 3.15-2
- own %%_datadir/sip

* Mon Apr 10 2006 Rex Dieter <rexdieter[AT]users.sf.net> 3.15-1
- first try

